Package owl.translations.ltl2ldba

## Class BlockingModalOperatorsVisitor

- java.lang.Object
- - owl.ltl.visitors.PropositionalVisitor<Set<Formula.ModalOperator>>
  - - owl.translations.ltl2ldba.BlockingModalOperatorsVisitor

- All Implemented Interfaces:
    `Function<Formula,​Set<Formula.ModalOperator>>`, `Visitor<Set<Formula.ModalOperator>>`

      public final class BlockingModalOperatorsVisitor
      extends PropositionalVisitor<Set<Formula.ModalOperator>>

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static BlockingModalOperatorsVisitor` | `INSTANCE` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `Set<Formula.ModalOperator>` | `visit​(BooleanConstant booleanConstant)` |
    `Set<Formula.ModalOperator>` | `visit​(Conjunction conjunction)` |
    `Set<Formula.ModalOperator>` | `visit​(Disjunction disjunction)` |
    `protected Set<Formula.ModalOperator>` | `visit​(Formula.TemporalOperator formula)` |

    - ### Methods inherited from class owl.ltl.visitors.PropositionalVisitor

      `visit, visit, visit, visit, visit, visit, visit, visit, visit`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface java.util.function.Function

      `andThen, compose`

    - ### Methods inherited from interface owl.ltl.visitors.Visitor

      `apply, visit`

- - ### Field Detail

    - #### INSTANCE

          public static final BlockingModalOperatorsVisitor INSTANCE

  - ### Method Detail

    - #### visit

          protected Set<Formula.ModalOperator> visit​(Formula.TemporalOperator formula)

      Specified by:
        `visit` in class `PropositionalVisitor<Set<Formula.ModalOperator>>`

    - #### visit

          public Set<Formula.ModalOperator> visit​(BooleanConstant booleanConstant)

    - #### visit

          public Set<Formula.ModalOperator> visit​(Conjunction conjunction)

    - #### visit

          public Set<Formula.ModalOperator> visit​(Disjunction disjunction)